TEMPLATE	= app
CONFIG		= qt thread dll release
HEADERS		= src/BilateralDenoiser.h \
                  src/Diffuser_DialogImpl.h \
                  src/Diffuser_Plugin.h \
                  src/Edge.h \
                  src/MCTable.h \
                  src/MLSApplication.h \
                  src/MovingLeastSquares.h \
                  src/myDefines.h \
                  src/NeighbourTable.h \
                  src/OcTree.h \
                  src/OcTreeTraversal.h \
                  src/PlaneFit.h \
                  src/Pool.h \
                  src/VolGrid.h \
                  src/VolGridEllipticalMC.h \
                  src/VolGridMesh.h \
                  src/VolGridParticleSim.h \
                  src/VolGridReader.h

SOURCES		= src/BilateralDenoiser.cpp \
                  src/Diffuser_DialogImpl.cpp \
                  src/Diffuser_Plugin.cpp \
                  src/MLSApplication.cpp \
                  src/MovingLeastSquares.cpp \
                  src/OcTree.cpp \
                  src/PlaneFit.cpp \
                  src/VolGrid.cpp \
                  src/VolGridEllipticalMC.cpp \
                  src/VolGridMesh.cpp \
                  src/VolGridParticleSim.cpp \
                  src/VolGridReader.cpp

INTERFACES	= UI/Diffuser_Dialog.ui

INCLUDEPATH     += ${GSLDIR}/include

ALL_DEPS	=

TARGET		= Diffuser_Plugin

OBJECTS_DIR     = bin/linux/release

MOC_DIR		= bin/linux/release

DESTDIR		= ../../../bin/linux/release/Plugins/Geometry

unix:LIBS	+= -L../../../bin/linux/release -lCore -lDataTypes -lUtilities
